<!DOCTYPE html>
<html>
<head>
    <title>Cities</title>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
</head>
<body>
<h2>List of cities</h2>

<table>
    <tr>
        <th>Id</th>
        <th>Name</th>
        <th>State</th>
    </tr>
       <th:block th:each="city : ${cities}">
        <tr>
            <td th:text="${city.id}"></td>
            <td th:text="${city.name}"></td>
            <td th:text="${city.state}"></td>
        </tr>
    </th:block>
</table>
</body>
</html>